//
//  OCRController.h
//  AsReaderScan
//
//  Created by Mikiko on 11/7/24.
//  Copyright © 2024 SPS INC. All rights reserved.
//

#import <UIKit/UIKit.h>

@protocol OCRDelegate <NSObject>
- (void)didSelectOptions:(NSSet<NSString *> *)options;
@end

/**
 *  @brief      This is for M24D. This file defines a view controller for handling OCR settings.
 */
@interface OCRController : UIViewController

@property (nonatomic, strong) NSArray<NSString *> *options;
@property (nonatomic, strong) NSMutableSet<NSString *> *selectedOptions;
@property (nonatomic, weak) id<OCRDelegate> delegate;

- (void)setDataWithList:(NSArray<NSString *> *)list selectList:(NSArray<NSString *> *)selectList;

@end

