//
//  SettingModel.m
//  AsReaderScan
//
//  Created by Mikiko on 11/7/24.
//  Copyright © 2024 SPS INC. All rights reserved.
//

#import "SettingModel.h"
#import "Extends.h"

@implementation SettingItem

- (instancetype)initWithControlType:(ControlType)controlType ids:(IDs)ids title:(NSString *)title {
    self = [super init];
    if (self) {
        _controlType = controlType;
        _ids = ids;
        _title = [title copy];
        //_isOn = [[NSUserDefaults standardUserDefaults] boolForKey:title] ?: YES;
        _isOn = [[NSUserDefaults standardUserDefaults] boolForKey:title defaultValue:YES];
        NSLog(@"Setting: %@, isOn: %@", title, _isOn ? @"YES" : @"NO");


    }
    return self;
}

- (void)setIsOn:(BOOL)isOn {
    _isOn = isOn;
    [[NSUserDefaults standardUserDefaults] setBool:isOn forKey:self.title];
    //[[NSUserDefaults standardUserDefaults] synchronize];
}

@end

NSArray<SettingItem *> *DefaultItems(void) {
    return @[
        [[SettingItem alloc] initWithControlType:switchType ids:iSwCR title:@"Continuous Reading (APP)"],
        [[SettingItem alloc] initWithControlType:switchType ids:iSwTM title:@"Trigger Mode (APP)"],
        [[SettingItem alloc] initWithControlType:switchType ids:iSwBep title:@"Beep"],
        [[SettingItem alloc] initWithControlType:switchType ids:iSwVib title:@"Vibration"],
        [[SettingItem alloc] initWithControlType:switchType ids:iSwLED title:@"LED"],
        [[SettingItem alloc] initWithControlType:switchType ids:iSwAim title:@"Aimer"],
        [[SettingItem alloc] initWithControlType:switchType ids:iSwPbp title:@"Power Beep"],
        [[SettingItem alloc] initWithControlType:switchType ids:iSwSleepBeep title:@"Sleep Beep"],
        [[SettingItem alloc] initWithControlType:switchType ids:iSwPM title:@"Presentation Mode"],
        [[SettingItem alloc] initWithControlType:switchType ids:iSwSSIBeep title:@"SSI Beep (APP)"],
        [[SettingItem alloc] initWithControlType:buttonType ids:iBtnCodID title:@"Select CodeID Character"],
        [[SettingItem alloc] initWithControlType:buttonType ids:iBtSleeptime title:@"Select Sleep Time"],
        [[SettingItem alloc] initWithControlType:buttonType ids:iBtOCR title:@"Select OCR usage"],
        [[SettingItem alloc] initWithControlType:buttonType ids:iBtSecLevel title:@"Select Security Level"],
        [[SettingItem alloc] initWithControlType:buttonType ids:iBtAutoLaunch title:@"Select Auto Launch"],
        [[SettingItem alloc] initWithControlType:switchType ids:iSwAndroidHID title:@"Android HID"],
        [[SettingItem alloc] initWithControlType:switchType ids:iSwiOSHID title:@"iOS HID"]
    ];
}
