//
//  RFMSensorItem.h
//  AsReaderScan
//
//  Created by Robin on 2020/11/04.
//  Copyright © 2020 Apple. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

typedef NS_ENUM(NSInteger, RFMTempSensorType){
    RFMSensorMoisture,
    RFMSensorTemperature
};

/**
 *  @brief      This file is used to store the parsed data from an RFID sensor. This sensor data includes various attributes related to the sensor reading, such as temperature, moisture level, and signal strength (RSSI). The class also includes the capability to classify the sensor type.
 */
@interface RFMSensorItem : NSObject{
    
}
@property (nonatomic) RFMTempSensorType sensortype;
@property (strong, nonatomic) NSString *pcEpc;
@property (strong, nonatomic) NSString *sensorData;
@property (strong, nonatomic) NSString *cop;
@property (strong, nonatomic) NSString *cfq;
@property (strong, nonatomic) NSString *ct;
@property (strong, nonatomic) NSString *cd;
@property (strong,nonatomic) NSString *temperature;
@property (strong,nonatomic) NSString *moisture;
@property (strong,nonatomic) NSString *moistureResult;
@property (strong,nonatomic) NSString *rssi;
@property (nonatomic,assign) int count;
@end

NS_ASSUME_NONNULL_END

